Update Crawl Configuration
put
/api/20210901/system/searchIndex/actions/updateCrawlConfig
Update crawl configuration properties using a valid key and value. Currently, Oracle Analytics Cloud supports a single configuration property: DatamodelCrawlUser.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
objectAn object representing the update payload for the crawl configuration.
Show Source
Nested Schema : items
Type:
Show Source
array-
Array of:
object CrawlConfigItem
An object which represents a crawl configuration property.
Nested Schema : CrawlConfigItem
Type:
objectAn object which represents a crawl configuration property.
Show Source
-
description: string
A description of the key property.
-
displayName(required): string
The display name for the key property. For example, if the key is DatamodelCrawlUser, this is the display name of the user account that runs the data model crawl.
-
key(required): string
Allowed Values:
[ "DatamodelCrawlUser" ]The search crawl configuration property to update. For example, DatamodelCrawlUser. -
value(required): string
The value for the key property. For example, if the key is DatamodelCrawlUser, this is the user identifier used to run the data model crawl.
Response
Supported Media Types
- application/json
200 Response
Crawl configuration update complete. Response contains the success or failure status for each item.
400 Response
Bad Request (invalid query parameters, malformed headers, and so on).
Root Schema : Error
Type:
Show Source
object-
code(required): string
Short error code that defines the error, meant for programmatic parsing.
-
message(required): string
Human-readable error string.
401 Response
Unauthorized (missing or expired credentials, and so on).
Root Schema : Error
Type:
Show Source
object-
code(required): string
Short error code that defines the error, meant for programmatic parsing.
-
message(required): string
Human-readable error string.
403 Response
Forbidden (missing permissions for operation, request denied for unspecified reason, and so on).
Root Schema : Error
Type:
Show Source
object-
code(required): string
Short error code that defines the error, meant for programmatic parsing.
-
message(required): string
Human-readable error string.
409 Response
Conflict (operation results in constraint violation, the operation is incompatible with the current state, and so on).
Root Schema : Error
Type:
Show Source
object-
code(required): string
Short error code that defines the error, meant for programmatic parsing.
-
message(required): string
Human-readable error string.
500 Response
Internal Server Error. The server encountered an unexpected condition
preventing fulfilment of the request.
Root Schema : Error
Type:
Show Source
object-
code(required): string
Short error code that defines the error, meant for programmatic parsing.
-
message(required): string
Human-readable error string.
Examples
In this example, you update the user account that crawls the data model. The crawl configuration key is DatamodelCrawlUser.
cURL Example:
curl -i \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--request PUT \
--data '{
"items": [
{
"key": "DatamodelCrawlUser",
"value": "jane.doe@example.com",
"displayName": "Jane Doe",
"description": "User account used to crawl the data model."
}
]
}' \
'https://<hostname>/api/20210901/system/searchIndex/actions/updateCrawlConfig'
Example of Request Body
{
"items": [
{
"key": "DatamodelCrawlUser",
"value": "jane.doe@example.com",
"displayName": "Jane Doe",
"description": "User account used to crawl the data model."
}
]
}
Example of Request Header
Not applicable.
Example of Response Body
{
"results": [
{
"key": "DatamodelCrawlUser",
"status": "SUCCESS"
}
]
}